/*
  poi_dialog.h
  Copyright (C) 2008-2009 Tomohiro Masubuchi <bucchi@e-ml.jp>

  This file is part of qgmap.

  This program is free software; you can redistribute it and/or
  modify it under the terms of the GNU General Public License
  as published by the Free Software Foundation; either version 2
  of the License, or (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef __POI_DIALOG_H__
#define __POI_DIALOG_H__

#include <qvariant.h>
#include <qdialog.h>
#include <qpixmap.h>
#include <qpoint.h>
#include <qlistview.h>
#include <qcstring.h>
class PoiDb;

class PoiDialog : public QDialog
{
    Q_OBJECT

  public:
    PoiDialog( QWidget* parent = 0, const char* name = 0, bool modal = TRUE, WFlags fl = 0 );
    ~PoiDialog();

  private:
	QListView *listview;
	PoiDb *db;
	QPixmap check[2];

	struct poi_data {
		int id;
		int enable;
	};

	QArray<struct poi_data> file_data;

	void updateFileItem();

  public slots:
	void press_add();
	void press_del();
	void press_mod();

	void click_row(QListViewItem *item, const QPoint &point, int column);
};

#endif // __POI_DIALOG_H__
